<?php

namespace App\Filament\Resources\RequestInfoResource\Pages;

use App\Filament\Resources\RequestInfoResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Illuminate\Support\Facades\Gate;
class EditRequestInfo extends EditRecord
{
    protected static string $resource = RequestInfoResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make()
                ->visible(fn () => Gate::allows('delete requestinfo')),
        ];
    }
}
